Bug 1683404 - edk2: stack buffer overflow in file/path name string check in UdfDxe/File.c
Summary: edk2: stack buffer overflow in file/path name string check in UdfDxe/File.c
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683406 1683405 1690846 1690847
Blocks: 1683431
TreeView+ depends on / blocked
 
Reported: 2019-02-26 19:32 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 07:16:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 828 None None None 2019-05-07 14:34:02 UTC

Description Laura Pardo 2019-02-26 19:32:29 UTC
A vulnerability was found in edk2. A stack buffer overflow in file/path name string check in UdfDxe/File.c when a long file name (> 128 characters) or a long path name (> 256 characters) is supplied.


Upstream Bug:
https://bugzilla.tianocore.org/show_bug.cgi?id=828

Upstream Patch:
https://github.com/tianocore/edk2/commit/b9ae1705adfdd43668027a25a2b03c2e81960219

Comment 1 Laura Pardo 2019-02-26 19:32:51 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683406]
Affects: fedora-all [bug 1683405]

Comment 10 Riccardo Schirone 2019-03-22 07:16:25 UTC
Closing this in favor of bug 1691640.


Note You need to log in before you can comment on or make changes to this bug.